package com.ruoyi.web.v3.controller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbRiskCheckWeeklyEntity;
import com.ruoyi.web.v3.model.request.HbRiskCheckWeeklyPageReq;
import com.ruoyi.web.v3.service.IHbRiskCheckWeeklyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * v3.0 隐患风险点检记录（周次） 前端控制器
 * </p>
 *
 */
@RestController
@RequestMapping("/v3/hb_risk_check_weekly")
@Api("3.0 隐患风险点检记录（周次）")
public class HbRiskCheckWeeklyController {

    @Resource
    private IHbRiskCheckWeeklyService riskCheckService;

    @ApiOperation("隐患风险点检记录（周次）记录添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody HbRiskCheckWeeklyEntity request){
        return riskCheckService.add(request);
    }

    @ApiOperation("隐患风险点检记录（周次）记录修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody HbRiskCheckWeeklyEntity request){
        return riskCheckService.edit(request);
    }

    @ApiOperation("隐患风险点检记录（周次）记录删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return riskCheckService.delete(ids);
    }

    @ApiOperation("隐患风险点检记录（周次）记录分页查询")
    @GetMapping("/page")
    public AjaxResult page(@ModelAttribute HbRiskCheckWeeklyPageReq request) {
        return riskCheckService.page(request);
    }


    @ApiOperation("隐患风险点检记录（周次）记录列表全量查询")
    @GetMapping("/list")
    public AjaxResult listAll(){
        return riskCheckService.listAll();
    }

}
